#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, x;
    cin >> n >> x;
    int vreme = 0;
    int komsije[n];
    for (int i=0; i<n; i++)
    {
        cin >> komsije[i];
    }
    int minimal = *min_element(komsije, komsije + n);
    int maximal = *max_element(komsije, komsije + n);
    if (x < minimal)
    {
        vreme = maximal - x;
    }
    else if (maximal < x)
    {
        vreme = x - minimal;
    }
    else
    {
        if (x - minimal < maximal - x)
        {
            vreme = (x-minimal) * 2 + maximal - x;
        }
        else if (x - minimal > maximal - x)
        {
            vreme = 2 * (maximal - x) + x - minimal;
        }
        else
        {
            vreme = 3 * (maximal - x);
        }
    }
    cout<<vreme;
    return 0;
}